Bug 98550 - gcc internal compiler error on rawhide x86_64
gcc internal compiler error on rawhide x86_64
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-03 12:36 EDT by Harald Welte
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version: 3.2.3-13, 3.3-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 12:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed mot_est_mb.c (91.98 KB, text/plain)
2003-07-03 12:37 EDT, Harald Welte
no flags Details
original source of mot_est_mb.c (24.31 KB, text/plain)
2003-07-03 12:39 EDT, Harald Welte
no flags Details

  None (edit)
Description Harald Welte 2003-07-03 12:36:44 EDT
Description of problem:

while trying to build libquicktime on rawhide x86_64 (gcc 3.3-12), I receive the
following message:

gcc -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../../include/quicktime -O3
-funroll-all-loops -fomit-frame-pointer -malign-loops=2 -malign-jumps=2
-malign-functions=2 -finline-functions -W -Wall -Wno-unused -Winline
-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -c mot_est_mb.c
-MT mot_est_mb.lo -MD -MP -MF .deps/mot_est_mb.TPlo  -fPIC -DPIC -o
.libs/mot_est_mb.lo
cc1: warning: -malign-loops is obsolete, use -falign-loops
cc1: warning: -malign-jumps is obsolete, use -falign-jumps
cc1: warning: -malign-functions is obsolete, use -falign-functions
mot_est_mb.c: In function `MBMotionEstimation':
mot_est_mb.c:614: internal compiler error: in copy_to_mode_reg, at explow.c:740
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Version-Release number of selected component (if applicable):
gcc-3.3-12

How reproducible:
try to build libquicktime-0.9.2pre1 on x86_64

Additional info:
O'm attaching the original and preprocessed output.
Comment 1 Harald Welte 2003-07-03 12:37:56 EDT
Created attachment 92743 [details]
preprocessed mot_est_mb.c
Comment 2 Harald Welte 2003-07-03 12:39:57 EDT
Created attachment 92744 [details]
original source of mot_est_mb.c
Comment 3 Jakub Jelinek 2003-07-07 12:12:04 EDT
Reproduced with:
void bar (int *);

void
foo (int x, int *y)
{
  bar (y + (8 * (x == 1 || x == 3) + 8 * (x == 2) * 16));
}
at -O2 and -O3.
Will debug it soon.
BTW: Did gcc print also something like:
Preprocessed source stored into /tmp/ccXXXXXX.out file, please attach this to your bugreport
after the:
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
line?
Comment 4 Harald Welte 2003-07-07 13:38:09 EDT
no, it didn't print such a line.

Note You need to log in before you can comment on or make changes to this bug.